API7 Docs
Apache APISIXAPISIX Control APIGet All Routes

Get All Routes

GET /v1/routes

GET /v1/routes

Interactive request editor loads with JavaScript.

Response Body

application/json

curl -X GET "http://127.0.0.1:9090/v1/routes"

OK

[
  {
    "value": {
      "priority": 0,
      "uris": [
        "/hello"
      ],
      "id": "1",
      "upstream": {
        "scheme": "http",
        "pass_host": "pass",
        "nodes": [
          {
            "port": 1980,
            "host": "127.0.0.1",
            "weight": 1
          }
        ],
        "type": "roundrobin",
        "hash_on": "vars"
      },
      "status": 1
    },
    "has_domain": false,
    "orig_modifiedIndex": 1631193445,
    "modifiedIndex": 1631193445,
    "key": "/routes/1"
  }
]
Complete operation details and schema variants

GET /v1/routes

Get All Routes

Get all configured routes.

Parameters

Responses

  • 200: OK

cURL

curl -X GET 'http://127.0.0.1:9090/v1/routes'